public final class SearchFilesRequest extends GeneratedMessage implements SearchFilesRequestOrBuilder
Configuration containing file search request parameters.
Protobuf type google.cloud.dataform.v1.SearchFilesRequest
Inherited Members
com.google.protobuf.GeneratedMessage.<ContainingT,T>newFileScopedGeneratedExtension(java.lang.Class<?>,com.google.protobuf.Message)
com.google.protobuf.GeneratedMessage.<ContainingT,T>newMessageScopedGeneratedExtension(com.google.protobuf.Message,int,java.lang.Class<?>,com.google.protobuf.Message)
com.google.protobuf.GeneratedMessage.<ListT>makeMutableCopy(ListT)
com.google.protobuf.GeneratedMessage.<ListT>makeMutableCopy(ListT,int)
com.google.protobuf.GeneratedMessage.<T>emptyList(java.lang.Class<T>)
com.google.protobuf.GeneratedMessage.<V>serializeBooleanMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.Boolean,V>,com.google.protobuf.MapEntry<java.lang.Boolean,V>,int)
com.google.protobuf.GeneratedMessage.<V>serializeIntegerMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.Integer,V>,com.google.protobuf.MapEntry<java.lang.Integer,V>,int)
com.google.protobuf.GeneratedMessage.<V>serializeLongMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.Long,V>,com.google.protobuf.MapEntry<java.lang.Long,V>,int)
com.google.protobuf.GeneratedMessage.<V>serializeStringMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.String,V>,com.google.protobuf.MapEntry<java.lang.String,V>,int)
com.google.protobuf.GeneratedMessage.canUseUnsafe()
com.google.protobuf.GeneratedMessage.emptyBooleanList()
com.google.protobuf.GeneratedMessage.emptyDoubleList()
com.google.protobuf.GeneratedMessage.emptyFloatList()
com.google.protobuf.GeneratedMessage.emptyIntList()
com.google.protobuf.GeneratedMessage.emptyLongList()
com.google.protobuf.GeneratedMessage.internalGetMapFieldReflection(int)
com.google.protobuf.GeneratedMessage.isStringEmpty(java.lang.Object)
com.google.protobuf.GeneratedMessage.mergeFromAndMakeImmutableInternal(com.google.protobuf.CodedInputStream,com.google.protobuf.ExtensionRegistryLite)
com.google.protobuf.GeneratedMessage.newInstance(com.google.protobuf.GeneratedMessage.UnusedPrivateParameter)
com.google.protobuf.GeneratedMessage.parseUnknownFieldProto3(com.google.protobuf.CodedInputStream,com.google.protobuf.UnknownFieldSet.Builder,com.google.protobuf.ExtensionRegistryLite,int)
Static Fields
public static final int FILTER_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
PAGE_SIZE_FIELD_NUMBER
public static final int PAGE_SIZE_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
PAGE_TOKEN_FIELD_NUMBER
public static final int PAGE_TOKEN_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
public static final int WORKSPACE_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
Static Methods
public static SearchFilesRequest getDefaultInstance()
public static final Descriptors.Descriptor getDescriptor()
public static SearchFilesRequest.Builder newBuilder()
public static SearchFilesRequest.Builder newBuilder(SearchFilesRequest prototype)
public static SearchFilesRequest parseDelimitedFrom(InputStream input)
public static SearchFilesRequest parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
public static SearchFilesRequest parseFrom(byte[] data)
| Parameter |
| Name |
Description |
data |
byte[]
|
public static SearchFilesRequest parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)
public static SearchFilesRequest parseFrom(ByteString data)
public static SearchFilesRequest parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)
public static SearchFilesRequest parseFrom(CodedInputStream input)
public static SearchFilesRequest parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public static SearchFilesRequest parseFrom(InputStream input)
public static SearchFilesRequest parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
public static SearchFilesRequest parseFrom(ByteBuffer data)
public static SearchFilesRequest parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)
public static Parser<SearchFilesRequest> parser()
Methods
public boolean equals(Object obj)
| Parameter |
| Name |
Description |
obj |
Object
|
Overrides
public SearchFilesRequest getDefaultInstanceForType()
public String getFilter()
Optional. Optional filter for the returned list in filtering format.
Filtering is only currently supported on the path field.
See https://google.aip.dev/160 for details.
string filter = 4 [(.google.api.field_behavior) = OPTIONAL];
| Returns |
| Type |
Description |
String |
The filter.
|
public ByteString getFilterBytes()
Optional. Optional filter for the returned list in filtering format.
Filtering is only currently supported on the path field.
See https://google.aip.dev/160 for details.
string filter = 4 [(.google.api.field_behavior) = OPTIONAL];
| Returns |
| Type |
Description |
ByteString |
The bytes for filter.
|
getPageSize()
Optional. Maximum number of search results to return. The server may return
fewer items than requested. If unspecified, the server will pick an
appropriate default.
int32 page_size = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns |
| Type |
Description |
int |
The pageSize.
|
getPageToken()
public String getPageToken()
Optional. Page token received from a previous SearchFilesRequest
call. Provide this to retrieve the subsequent page.
When paginating, all other parameters provided to SearchFilesRequest,
with the exception of page_size, must match the call that provided the
page token.
string page_token = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns |
| Type |
Description |
String |
The pageToken.
|
getPageTokenBytes()
public ByteString getPageTokenBytes()
Optional. Page token received from a previous SearchFilesRequest
call. Provide this to retrieve the subsequent page.
When paginating, all other parameters provided to SearchFilesRequest,
with the exception of page_size, must match the call that provided the
page token.
string page_token = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns |
| Type |
Description |
ByteString |
The bytes for pageToken.
|
public Parser<SearchFilesRequest> getParserForType()
Overrides
public int getSerializedSize()
| Returns |
| Type |
Description |
int |
|
Overrides
public String getWorkspace()
Required. The workspace's name.
string workspace = 1 [(.google.api.field_behavior) = REQUIRED, (.google.api.resource_reference) = { ... }
| Returns |
| Type |
Description |
String |
The workspace.
|
public ByteString getWorkspaceBytes()
Required. The workspace's name.
string workspace = 1 [(.google.api.field_behavior) = REQUIRED, (.google.api.resource_reference) = { ... }
| Returns |
| Type |
Description |
ByteString |
The bytes for workspace.
|
| Returns |
| Type |
Description |
int |
|
Overrides
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Overrides
public final boolean isInitialized()
Overrides
public SearchFilesRequest.Builder newBuilderForType()
protected SearchFilesRequest.Builder newBuilderForType(AbstractMessage.BuilderParent parent)
Overrides
public SearchFilesRequest.Builder toBuilder()
public void writeTo(CodedOutputStream output)
Overrides